Subject: (urth) Publisher's Edition of Empires of Foliage and Flower

From: Mark Millman <markjmillman at gmail.com>
Date: Fri, 07 Feb 2020 01:54:35 +0000

Folks,

I'm selling a copy of the rare and fabulous Publisher's Edition of
_Empires of Foliage and Flower_, published by Cheap Street in 1987.
(Yes, this is the same copy I offered about a year and a half ago.  I
didn't end up selling it then.)

If you're interested, please contact me directly by return e-mail.

Best,

Mark Millman